Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nortel.soa.oi.cct.types
Enum AgentProperty

    java.lang.Object
      java.lang.Enum<AgentProperty>
          com.nortel.soa.oi.cct.types.AgentProperty

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AgentProperty>

    public enum AgentProperty

extends java.lang.Enum<AgentProperty>

Java class for agentProperty.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="agentProperty">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CONTACT_TYPE"/>
         <enumeration value="ADDRESS_NAME"/>
         <enumeration value="VOICE_TERMINAL"/>
         <enumeration value="LOGIN_STATUS"/>
         <enumeration value="INFORMATION"/>
         <enumeration value="READY_STATUS"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ADDRESS_NAME`
`CONTACT_TYPE`
`INFORMATION`
`LOGIN_STATUS`
`READY_STATUS`
`VOICE_TERMINAL`

Method Summary
`static AgentProperty` | `fromValue(java.lang.String v)`
`java.lang.String` | `value()`
`static AgentProperty` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AgentProperty[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CONTACT_TYPE

    public static final AgentProperty CONTACT_TYPE

### ADDRESS_NAME

    public static final AgentProperty ADDRESS_NAME

### VOICE_TERMINAL

    public static final AgentProperty VOICE_TERMINAL

### LOGIN_STATUS

    public static final AgentProperty LOGIN_STATUS

### INFORMATION

    public static final AgentProperty INFORMATION

### READY_STATUS

    public static final AgentProperty READY_STATUS

Method Detail

### values

    public static AgentProperty[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AgentProperty c : AgentProperty.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AgentProperty valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### value

    public java.lang.String value()

### fromValue

    public static AgentProperty fromValue(java.lang.String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 All Rights Reserved.